| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/sector.h File Reference

Sector. More...

`#include "csutil/cscolor.h"`
`#include "csutil/scf.h"`
`#include "csutil/set.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
struct | csFog
| Sector fog structure. More...
struct | csSectorHitBeamResult
| Return structure for the iSector->HitBeam() routines. More...
struct | iLightVisibleCallback
| A callback that is fired whenever a light is visible. More...
struct | iSector
| The iSector interface is used to work with "sectors". More...
struct | iSectorCallback
| Set a callback which is called when this sector is traversed. More...
struct | iSectorIterator
| An iterator to iterate over sectors. More...
struct | iSectorList
| A list of sectors. More...
struct | iSectorMeshCallback
| Set a callback which is called when a mesh is added or removed from this sector. More...
## Enumerations
enum | csFogMode

## Detailed Description

Sector.

Definition in file sector.h.